<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>lib.inout package &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="lib.plot package" href="lib.plot.html" />
    <link rel="prev" title="lib.handle package" href="lib.handle.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="lib.html">lib package</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="lib.fit.html">lib.fit package</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.handle.html">lib.handle package</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">lib.inout package</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#module-lib.inout.parser">lib.inout.parser module</a></li>
<li class="toctree-l3"><a class="reference internal" href="#module-lib.inout.proot">lib.inout.proot module</a></li>
<li class="toctree-l3"><a class="reference internal" href="#module-lib.inout.serial">lib.inout.serial module</a></li>
<li class="toctree-l3"><a class="reference internal" href="#module-lib.inout.table">lib.inout.table module</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="lib.plot.html">lib.plot package</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.html#module-lib.assertion">lib.assertion module</a></li>
<li class="toctree-l2"><a class="reference internal" href="lib.html#module-lib.config">lib.config module</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="scripts.html">scripts.multiple_candidates package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="lib.html">lib package</a> &raquo;</li>
      <li>lib.inout package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/lib.inout.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="section" id="module-lib.inout">
<span id="lib-inout-package"></span><h1>lib.inout package<a class="headerlink" href="#module-lib.inout" title="Permalink to this heading"></a></h1>
<p>Package to handle inputs and outputs.</p>
<div class="section" id="module-lib.inout.parser">
<span id="lib-inout-parser-module"></span><h2>lib.inout.parser module<a class="headerlink" href="#module-lib.inout.parser" title="Permalink to this heading"></a></h2>
<p>Module to handle parsers.</p>
<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.parser.add_arguments_from_dict">
<span class="sig-prename descclassname"><span class="pre">lib.inout.parser.</span></span><span class="sig-name descname"><span class="pre">add_arguments_from_dict</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">parser</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">dict_arguments</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/inout/parser.html#add_arguments_from_dict"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.inout.parser.add_arguments_from_dict" title="Permalink to this definition"></a></dt>
<dd><p>Add arguments to a parser using a dictionnary. In-place.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>parser</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">ArgumentParser</span></code>) – a parser</p></li>
<li><p><strong>dict_arguments</strong> (<code class="xref py py-data docutils literal notranslate"><span class="pre">Optional</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">Dict</span></code>[<code class="xref py py-data docutils literal notranslate"><span class="pre">Union</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>, <code class="xref py py-data docutils literal notranslate"><span class="pre">Tuple</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>, <code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>]], <code class="xref py py-class docutils literal notranslate"><span class="pre">dict</span></code>]]) – associates a name (one <code class="docutils literal notranslate"><span class="pre">str</span></code>) or two names
(a tuple of two <code class="docutils literal notranslate"><span class="pre">str</span></code>) with the parameters of the argument
(a <code class="docutils literal notranslate"><span class="pre">dict</span></code>)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.parser.add_switch">
<span class="sig-prename descclassname"><span class="pre">lib.inout.parser.</span></span><span class="sig-name descname"><span class="pre">add_switch</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">parser</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">description</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">short</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/inout/parser.html#add_switch"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.inout.parser.add_switch" title="Permalink to this definition"></a></dt>
<dd><p>Add a boolean argument to a parser</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>parser</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">ArgumentParser</span></code>) – Parser</p></li>
<li><p><strong>name</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – Name of the argument to add</p></li>
<li><p><strong>description</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – Explanation of what the switch is for</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
<div class="section" id="module-lib.inout.proot">
<span id="lib-inout-proot-module"></span><h2>lib.inout.proot module<a class="headerlink" href="#module-lib.inout.proot" title="Permalink to this heading"></a></h2>
<p>Module to open and save ROOT files.</p>
<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.proot.awkward_branches_into_dataframe">
<span class="sig-prename descclassname"><span class="pre">lib.inout.proot.</span></span><span class="sig-name descname"><span class="pre">awkward_branches_into_dataframe</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">file</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">list_columns</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/inout/proot.html#awkward_branches_into_dataframe"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.inout.proot.awkward_branches_into_dataframe" title="Permalink to this definition"></a></dt>
<dd><p>Find and load awkward columns, that is, columns of type
<cite>“std::vector&lt;double&gt;”</cite> that are vectors of more than 1 value.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>file</strong> – uproot file</p></li>
<li><p><strong>list_columns</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">List</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>]) – list of the columns that we want to load from
the <code class="docutils literal notranslate"><span class="pre">file</span></code></p></li>
</ul>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><code class="xref py py-data docutils literal notranslate"><span class="pre">Union</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">List</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>], <code class="xref py py-class docutils literal notranslate"><span class="pre">DataFrame</span></code>, <code class="xref py py-obj docutils literal notranslate"><span class="pre">None</span></code>]</p>
</dd>
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p><ul class="simple">
<li><p>list_awkward_columns: list of awkward columns</p></li>
<li><p>awkward_dataframe: dataframe whose keys are given by             <code class="docutils literal notranslate"><span class="pre">{column}_{number}</span></code> where <code class="docutils literal notranslate"><span class="pre">column</span></code> is an awkward column             and <code class="docutils literal notranslate"><span class="pre">number</span></code> is the component of the vector <code class="docutils literal notranslate"><span class="pre">column</span></code></p></li>
</ul>
</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.proot.open_samples">
<span class="sig-prename descclassname"><span class="pre">lib.inout.proot.</span></span><span class="sig-name descname"><span class="pre">open_samples</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">file_paths</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">tree_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">list_columns</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">compl_mode</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">reset_index</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">dict_new_columns</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/inout/proot.html#open_samples"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.inout.proot.open_samples" title="Permalink to this definition"></a></dt>
<dd><p>Open a ROOT sample or several ROOT samples into one Pandas dataframe.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>file_paths</strong> (<code class="xref py py-data docutils literal notranslate"><span class="pre">Union</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>, <code class="xref py py-class docutils literal notranslate"><span class="pre">List</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>]]) – path or list of paths of ROOT
files</p></li>
<li><p><strong>tree_name</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – tree name in the ROOT files</p></li>
<li><p><strong>list_columns</strong> (<code class="xref py py-data docutils literal notranslate"><span class="pre">Optional</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">List</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>]]) – List of the columns
to load or not to load (if <code class="docutils literal notranslate"><span class="pre">compl_mode</span></code> is set at <code class="docutils literal notranslate"><span class="pre">True</span></code>)</p></li>
<li><p><strong>verbose</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">bool</span></code>) – whether to show the paths of the files
that are loaded</p></li>
<li><p><strong>compl_mode</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">bool</span></code>) – if set to <code class="docutils literal notranslate"><span class="pre">True</span></code>, <code class="docutils literal notranslate"><span class="pre">list_columns</span></code> are
the columns not to load.</p></li>
<li><p><strong>reset_index</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">bool</span></code>) – whether to reset the indices of
the resulting dataframe</p></li>
<li><p><strong>dict_new_columns</strong> (<code class="xref py py-data docutils literal notranslate"><span class="pre">Optional</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">dict</span></code>]) – associates a column with a list of
of values for each sample, in order to identify where the
samples come from</p></li>
</ul>
</dd>
<dt class="field-even">Raises</dt>
<dd class="field-even"><p><strong>ValueError</strong> – uproot version is neither 3 nor 4</p>
</dd>
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>dataframe that contains all the ROOT samples</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>pd.DataFrame</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.proot.save_dataframe">
<span class="sig-prename descclassname"><span class="pre">lib.inout.proot.</span></span><span class="sig-name descname"><span class="pre">save_dataframe</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dataframe</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">path</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">tree_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">verbose</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/inout/proot.html#save_dataframe"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.inout.proot.save_dataframe" title="Permalink to this definition"></a></dt>
<dd><p>Save a pandas dataframe into a ROOT file.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>dataframe</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">DataFrame</span></code>) – sample</p></li>
<li><p><strong>path</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – where to save the sample</p></li>
<li><p><strong>tree_name</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – tree name where to save the dataframe in the ROOT
file</p></li>
<li><p><strong>verbose</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">bool</span></code>) – Whether to print information.
Defaults to True.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
<div class="section" id="module-lib.inout.serial">
<span id="lib-inout-serial-module"></span><h2>lib.inout.serial module<a class="headerlink" href="#module-lib.inout.serial" title="Permalink to this heading"></a></h2>
<p>Module to save and open JSON and PICKLE files.</p>
<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.serial.load_json">
<span class="sig-prename descclassname"><span class="pre">lib.inout.serial.</span></span><span class="sig-name descname"><span class="pre">load_json</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">path</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">library</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">'json'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">byte_read</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#lib.inout.serial.load_json" title="Permalink to this definition"></a></dt>
<dd><p>Load the content of a json file</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>path</strong> – JSON file path</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>dictionnary that was saved in <code class="docutils literal notranslate"><span class="pre">{folder_path}/{name}.json</span></code></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.serial.load_pickle">
<span class="sig-prename descclassname"><span class="pre">lib.inout.serial.</span></span><span class="sig-name descname"><span class="pre">load_pickle</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">path</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">library</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">'pickle'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">byte_read</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">True</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#lib.inout.serial.load_pickle" title="Permalink to this definition"></a></dt>
<dd><p>Load the content of a pickle file</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>path</strong> – PICKLE file path</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>element that was saved in <code class="docutils literal notranslate"><span class="pre">{folder_path}/{name}.pickle</span></code></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.serial.save_joblib">
<span class="sig-prename descclassname"><span class="pre">lib.inout.serial.</span></span><span class="sig-name descname"><span class="pre">save_joblib</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">data</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">library</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">'joblib'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">path</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">byte_write</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#lib.inout.serial.save_joblib" title="Permalink to this definition"></a></dt>
<dd><p>Save the data in a file in <code class="docutils literal notranslate"><span class="pre">{loc['out']}/{type_data}/</span></code></p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>data</strong> – element to save. if <code class="docutils literal notranslate"><span class="pre">library</span></code> is <code class="docutils literal notranslate"><span class="pre">'json'</span></code>,
must be a dictionnary</p></li>
<li><p><strong>folder_path</strong> – path of the folder where the file is located</p></li>
<li><p><strong>name</strong> – name of the file</p></li>
<li><p><strong>library</strong> – <code class="docutils literal notranslate"><span class="pre">json</span></code> or <code class="docutils literal notranslate"><span class="pre">pickle</span></code>, library used to save the file</p></li>
<li><p><strong>byte_write</strong> – write in byte mode</p></li>
<li><p><strong>kwargs</strong> – passed to the save function of the corresponding
serial library.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.serial.save_json">
<span class="sig-prename descclassname"><span class="pre">lib.inout.serial.</span></span><span class="sig-name descname"><span class="pre">save_json</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">data</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">library</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">'json'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">path</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">byte_write</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#lib.inout.serial.save_json" title="Permalink to this definition"></a></dt>
<dd><p>save a json file in <code class="docutils literal notranslate"><span class="pre">{loc['json']}/</span></code></p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>data</strong> – dictionnary to save.</p></li>
<li><p><strong>path</strong> – JSON file path</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.serial.save_pickle">
<span class="sig-prename descclassname"><span class="pre">lib.inout.serial.</span></span><span class="sig-name descname"><span class="pre">save_pickle</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">data</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">*</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">library</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">'pickle'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">path</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">byte_write</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">bool</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#lib.inout.serial.save_pickle" title="Permalink to this definition"></a></dt>
<dd><p>Save a pickle file (in byte mode)</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>data</strong> – element to save.</p></li>
<li><p><strong>path</strong> – PICKLE file path</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.serial.try_makedirs">
<span class="sig-prename descclassname"><span class="pre">lib.inout.serial.</span></span><span class="sig-name descname"><span class="pre">try_makedirs</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">path</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/inout/serial.html#try_makedirs"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.inout.serial.try_makedirs" title="Permalink to this definition"></a></dt>
<dd><p>Create all the necessary directories of a path</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>path</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – path</p>
</dd>
</dl>
</dd></dl>

</div>
<div class="section" id="module-lib.inout.table">
<span id="lib-inout-table-module"></span><h2>lib.inout.table module<a class="headerlink" href="#module-lib.inout.table" title="Permalink to this heading"></a></h2>
<p>Module to save tables in latex.</p>
<dl class="py function">
<dt class="sig sig-object py" id="lib.inout.table.write_table">
<span class="sig-prename descclassname"><span class="pre">lib.inout.table.</span></span><span class="sig-name descname"><span class="pre">write_table</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">table</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">path</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">title</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'line'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">caption</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/lib/inout/table.html#write_table"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#lib.inout.table.write_table" title="Permalink to this definition"></a></dt>
<dd><p>Write a latex table from a table.
The first line is the title line, separated by
a double line from the other lines.
The ufloat numbers are automatically formatted.
The floated numbers are shown with 3 decimals.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>table</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">List</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">List</span></code>]) – table to convert into latex</p></li>
<li><p><strong>name</strong> – name of the .tex file to save</p></li>
<li><p><strong>folder_name</strong> – folder name where to save the .tex file</p></li>
<li><p><strong>title</strong> (<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>) – Title column or title line is separated from
the rest of the table by a double line</p></li>
<li><p><strong>caption</strong> (<code class="xref py py-data docutils literal notranslate"><span class="pre">Optional</span></code>[<code class="xref py py-class docutils literal notranslate"><span class="pre">str</span></code>]) – caption of the table</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="lib.handle.html" class="btn btn-neutral float-left" title="lib.handle package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="lib.plot.html" class="btn btn-neutral float-right" title="lib.plot package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>